summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-07-22 20:44:18 +0000
committerSam James <sam@gentoo.org>2024-06-15 02:06:05 +0100
commit9356183bfa9edde08c4a9e67b9af4b10bb7d9ca3 (patch)
tree3aa553bebfe55d9d6d8a49c400615f689a6fde70
parent*/*: drop binutils, glibc, gdb for now (diff)
downloadtoolchain-master.tar.gz
toolchain-master.tar.bz2
toolchain-master.zip
sys-devel/gcc: drop more epatch refsHEADmaster
Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--sys-devel/gcc/gcc-4.6.0.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.6.1-r1.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.6.2.ebuild4
-rw-r--r--sys-devel/gcc/gcc-4.6.3.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.7.0.ebuild5
-rw-r--r--sys-devel/gcc/gcc-4.7.1.ebuild5
-rw-r--r--sys-devel/gcc/gcc-4.7.2-r1.ebuild5
-rw-r--r--sys-devel/gcc/gcc-4.7.3-r1.ebuild5
-rw-r--r--sys-devel/gcc/gcc-4.8.0.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.8.1-r1.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.8.2.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.8.3.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.8.4.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.9.0.ebuild3
-rw-r--r--sys-devel/gcc/gcc-4.9.1.ebuild2
-rw-r--r--sys-devel/gcc/gcc-4.9.2.ebuild2
-rw-r--r--sys-devel/gcc/gcc-5.1.0.ebuild5
-rw-r--r--sys-devel/gcc/gcc-5.2.0.ebuild5
-rw-r--r--sys-devel/gcc/gcc-5.3.0.ebuild6
19 files changed, 44 insertions, 27 deletions
diff --git a/sys-devel/gcc/gcc-4.6.0.ebuild b/sys-devel/gcc/gcc-4.6.0.ebuild
index 2614e45..02c8095 100644
--- a/sys-devel/gcc/gcc-4.6.0.ebuild
+++ b/sys-devel/gcc/gcc-4.6.0.ebuild
@@ -22,7 +22,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.6.1-r1.ebuild b/sys-devel/gcc/gcc-4.6.1-r1.ebuild
index d2638a3..74e0b55 100644
--- a/sys-devel/gcc/gcc-4.6.1-r1.ebuild
+++ b/sys-devel/gcc/gcc-4.6.1-r1.ebuild
@@ -23,7 +23,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.6.2.ebuild b/sys-devel/gcc/gcc-4.6.2.ebuild
index 40a3beb..df08e71 100644
--- a/sys-devel/gcc/gcc-4.6.2.ebuild
+++ b/sys-devel/gcc/gcc-4.6.2.ebuild
@@ -23,11 +23,11 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
# drop the x32 stuff once 4.7 goes stable
- EPATCH_EXCLUDE+=" 80_all_gcc-4.6-x32.patch"
+ rm "${WORKDIR}"/patch/80_all_gcc-4.6-x32.patch || die
toolchain-legacy_src_prepare
}
diff --git a/sys-devel/gcc/gcc-4.6.3.ebuild b/sys-devel/gcc/gcc-4.6.3.ebuild
index cd0e73a..0aa0c92 100644
--- a/sys-devel/gcc/gcc-4.6.3.ebuild
+++ b/sys-devel/gcc/gcc-4.6.3.ebuild
@@ -23,7 +23,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.7.0.ebuild b/sys-devel/gcc/gcc-4.7.0.ebuild
index 366984c..8e6f2bc 100644
--- a/sys-devel/gcc/gcc-4.7.0.ebuild
+++ b/sys-devel/gcc/gcc-4.7.0.ebuild
@@ -23,11 +23,12 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
# drop the x32 stuff in the next patchset #543578
- EPATCH_EXCLUDE+=" 90_all_gcc-4.7-x32.patch"
+ rm "${WORKDIR}"/patch/90_all_gcc-4.7-x32.patch || die
toolchain-legacy_src_prepare
}
diff --git a/sys-devel/gcc/gcc-4.7.1.ebuild b/sys-devel/gcc/gcc-4.7.1.ebuild
index 5c035a9..75e7a1c 100644
--- a/sys-devel/gcc/gcc-4.7.1.ebuild
+++ b/sys-devel/gcc/gcc-4.7.1.ebuild
@@ -23,11 +23,12 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
# drop the x32 stuff in the next patchset #543578
- EPATCH_EXCLUDE+=" 90_all_gcc-4.7-x32.patch"
+ rm "${WORKDIR}"/patch/90_all_gcc-4.7-x32.patch || die
toolchain-legacy_src_prepare
}
diff --git a/sys-devel/gcc/gcc-4.7.2-r1.ebuild b/sys-devel/gcc/gcc-4.7.2-r1.ebuild
index 8ad3f3a..56cb572 100644
--- a/sys-devel/gcc/gcc-4.7.2-r1.ebuild
+++ b/sys-devel/gcc/gcc-4.7.2-r1.ebuild
@@ -23,11 +23,12 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
# drop the x32 stuff in the next patchset #543578
- EPATCH_EXCLUDE+=" 90_all_gcc-4.7-x32.patch"
+ rm "${WORKDIR}"/patch/90_all_gcc-4.7-x32.patch || die
toolchain-legacy_src_prepare
}
diff --git a/sys-devel/gcc/gcc-4.7.3-r1.ebuild b/sys-devel/gcc/gcc-4.7.3-r1.ebuild
index 6940067..8e77575 100644
--- a/sys-devel/gcc/gcc-4.7.3-r1.ebuild
+++ b/sys-devel/gcc/gcc-4.7.3-r1.ebuild
@@ -23,11 +23,12 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
# drop the x32 stuff in the next patchset #543578
- EPATCH_EXCLUDE+=" 90_all_gcc-4.7-x32.patch"
+ rm "${WORKDIR}"/patch/90_all_gcc-4.7-x32.patch || die
toolchain-legacy_src_prepare
}
diff --git a/sys-devel/gcc/gcc-4.8.0.ebuild b/sys-devel/gcc/gcc-4.8.0.ebuild
index f386954..09352ae 100644
--- a/sys-devel/gcc/gcc-4.8.0.ebuild
+++ b/sys-devel/gcc/gcc-4.8.0.ebuild
@@ -36,7 +36,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.8.1-r1.ebuild b/sys-devel/gcc/gcc-4.8.1-r1.ebuild
index 1177577..ca73fd3 100644
--- a/sys-devel/gcc/gcc-4.8.1-r1.ebuild
+++ b/sys-devel/gcc/gcc-4.8.1-r1.ebuild
@@ -36,7 +36,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.8.2.ebuild b/sys-devel/gcc/gcc-4.8.2.ebuild
index 4f1fe72..22c8f7d 100644
--- a/sys-devel/gcc/gcc-4.8.2.ebuild
+++ b/sys-devel/gcc/gcc-4.8.2.ebuild
@@ -36,7 +36,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.8.3.ebuild b/sys-devel/gcc/gcc-4.8.3.ebuild
index 714ee8a..f9c8cc4 100644
--- a/sys-devel/gcc/gcc-4.8.3.ebuild
+++ b/sys-devel/gcc/gcc-4.8.3.ebuild
@@ -36,7 +36,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.8.4.ebuild b/sys-devel/gcc/gcc-4.8.4.ebuild
index 2d04af5..ed5c02c 100644
--- a/sys-devel/gcc/gcc-4.8.4.ebuild
+++ b/sys-devel/gcc/gcc-4.8.4.ebuild
@@ -36,7 +36,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.9.0.ebuild b/sys-devel/gcc/gcc-4.9.0.ebuild
index 4e5dd6e..dc90c11 100644
--- a/sys-devel/gcc/gcc-4.9.0.ebuild
+++ b/sys-devel/gcc/gcc-4.9.0.ebuild
@@ -36,7 +36,8 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.9.1.ebuild b/sys-devel/gcc/gcc-4.9.1.ebuild
index 4e5dd6e..3fe879a 100644
--- a/sys-devel/gcc/gcc-4.9.1.ebuild
+++ b/sys-devel/gcc/gcc-4.9.1.ebuild
@@ -36,7 +36,7 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-4.9.2.ebuild b/sys-devel/gcc/gcc-4.9.2.ebuild
index cc7b0cf..d253c9c 100644
--- a/sys-devel/gcc/gcc-4.9.2.ebuild
+++ b/sys-devel/gcc/gcc-4.9.2.ebuild
@@ -36,7 +36,7 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
toolchain-legacy_src_prepare
diff --git a/sys-devel/gcc/gcc-5.1.0.ebuild b/sys-devel/gcc/gcc-5.1.0.ebuild
index 1803a5b..2dca174 100644
--- a/sys-devel/gcc/gcc-5.1.0.ebuild
+++ b/sys-devel/gcc/gcc-5.1.0.ebuild
@@ -36,9 +36,10 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
- is_crosscompile && EPATCH_EXCLUDE+=" 05_all_gcc-spec-env.patch"
+
+ is_crosscompile && rm "${WORKDIR}"/patch/05_all_gcc-spec-env.patch || die
toolchain-legacy_src_prepare
}
diff --git a/sys-devel/gcc/gcc-5.2.0.ebuild b/sys-devel/gcc/gcc-5.2.0.ebuild
index f7b178f..69c5c71 100644
--- a/sys-devel/gcc/gcc-5.2.0.ebuild
+++ b/sys-devel/gcc/gcc-5.2.0.ebuild
@@ -36,9 +36,10 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch
fi
- is_crosscompile && EPATCH_EXCLUDE+=" 05_all_gcc-spec-env.patch"
+ is_crosscompile && rm "${WORKDIR}"/patch/05_all_gcc-spec-env.patch
toolchain-legacy_src_prepare
}
diff --git a/sys-devel/gcc/gcc-5.3.0.ebuild b/sys-devel/gcc/gcc-5.3.0.ebuild
index 01c6ec5..f1c610c 100644
--- a/sys-devel/gcc/gcc-5.3.0.ebuild
+++ b/sys-devel/gcc/gcc-5.3.0.ebuild
@@ -36,9 +36,11 @@ src_prepare() {
if has_version '<sys-libs/glibc-2.12' ; then
ewarn "Your host glibc is too old; disabling automatic fortify."
ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
- EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+
+ rm "${WORKDIR}"/patch/10_all_default-fortify-source.patch || die
fi
- is_crosscompile && EPATCH_EXCLUDE+=" 05_all_gcc-spec-env.patch"
+
+ is_crosscompile && rm "${WORKDIR}"/patch/05_all_gcc-spec-env.patch || die
toolchain-legacy_src_prepare
}